> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmetal.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Indexes

> This endpoint gets a list of indexes for an app.

### Auth Headers

<ParamField required header="x-metal-api-key" type="string">
  An API key for your org.
</ParamField>

<ParamField required header="x-metal-client-id" type="string">
  A Client ID for your org.
</ParamField>

### Params

<ParamField required path="appId" type="string">
  The App ID
</ParamField>

### Response

<ResponseField name="data" type="Index Array">
  <Expandable title="properties">
    <ResponseField name="id" type="string">
      Id of the index
    </ResponseField>

    <ResponseField name="app" type="string">
      Id of the app of the index
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the index
    </ResponseField>

    <ResponseField name="model" type="string">
      Model used to generate the embeddings
    </ResponseField>

    <ResponseField name="datasource" type="string">
      The datasource id, if one is connected.
    </ResponseField>

    <ResponseField name="dimensions" type="number">
      Dimensions of the embeddings
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.getmetal.io/v1/indexes' \
  --header 'Content-Type: application/json' \
  --header 'x-metal-api-key: <api-key>' \
  --header 'x-metal-client-id: <client-id>' \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "data": [
      {
        "id": "1",
        "createdAt": "2023-08-23T22:13:31.539Z",
        "app": "<APP_ID>",
        "name": "Bruce's Index",
        "model": "text-embedding-ada-002",
        "dimensions": 1536,
        "datasource": "<DATASOURCE_ID>",
        "lastActivityAt": "2023-09-14T13:18:52.547Z",
        "lastSearchAt": "2023-09-14T13:18:52.547Z",
        "filters": [
          {
            "field": "name",
            "type": "string"
          },
          {
            "field": "age",
            "type": "number"
          }
        ],
        "chunkConfig": {
          "size": 24000
        }
      },
      {
        "id": "2",
        "createdAt": "2023-08-23T15:35:27.398Z",
        "app": "<APP_ID>",
        "name": "Dave's Index",
        "model": "clip",
        "dimensions": 512,
        "datasource": "<DATASOURCE_ID>",
        "filters": [
          {
            "field": "name",
            "type": "string"
          },
          {
            "field": "age",
            "type": "number"
          }
        ],
        "chunkConfig": {
          "size": 24000
        }
      }
    ]
  }
  ```
</ResponseExample>
